List recent HTTP executions
curl --request GET \
--url https://scheduler.studio.lyzr.ai/http-schedules/executions/recent \
--header 'x-api-key: <api-key>'import requests
url = "https://scheduler.studio.lyzr.ai/http-schedules/executions/recent"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://scheduler.studio.lyzr.ai/http-schedules/executions/recent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"executions": [
{
"schedule_id": "<string>",
"executed_at": "2023-11-07T05:31:56Z",
"attempt": 123,
"max_attempts": 123,
"method": "<string>",
"url": "<string>",
"success": true,
"response_status": 123,
"response_output": "<string>",
"error_message": "<string>"
}
],
"total": 123
}HTTP Schedules
List Recent HTTP Executions
List recent requests across all your HTTP schedules.
GET
/
http-schedules
/
executions
/
recent
List recent HTTP executions
Authorizations
Lyzr API key. Required on every endpoint except Trigger Webhook.
Query Parameters
Filter by HTTP schedule ID.
Filter by outcome. true returns successful executions only, false returns failed executions only.
Only return attempts from the last N hours.
Number of records to skip.
Required range:
x >= 0Maximum number of records to return (1-100).
Required range:
1 <= x <= 100